GET
/api/v202401/import/bill/task/{taskGuid}/kickout/{filename}/detail
Retrieves the kickout details associated with a specified bill import task, file and an optional kickout message.
GetBillImportKickoutDetailsByFileV202401
Permissions: BillsAndBatches (View)
Path Parameters
| Name |
Description |
Type |
Required |
| taskGuid |
The task GUID to search for. The task must be of type Bill Import. |
string (uuid) |
Required |
| filename |
The kickout file name to search for. |
string |
Required |
Query Parameters
| Name |
Description |
Type |
Required |
| kickoutMessage |
The optional kickout message to search for. |
string |
Optional |
Responses
Response Body Parameters
BillImportKickoutDetailsResponse
| Property |
Description |
Type |
| data |
The kickout values |
array[] |
| fields |
The kickout fields |
KickoutField[] |
|
KickoutField properties
| Property |
Description |
Type |
| id |
The column identifier.
This is a dynamic field and may vary between requests. |
integer (int32) |
| name |
The column name |
string |
|
{ "data": [
[
{ "fieldId": 1, "value": "string"
}
]
], "fields": [
{ "id": 1, "name": "string"
}
]
}